import { WidgetModel, ISerializers, IBackboneModelOptions } from '@jupyter-widgets/base';
import { IUpdateManager } from '../types';
import { ObjectHash } from 'backbone';
export declare class ParallelModel extends WidgetModel {
    defaults(): {
        _model_name: string;
        _model_module: any;
        _model_module_version: any;
    };
    static serializers: ISerializers;
    toDict(): {
        [key: string]: any;
    };
    initialize(attributes: ObjectHash, options: IBackboneModelOptions): void;
    valueChanged(m: ParallelModel): void;
    static updateManager: IUpdateManager | null;
    static model_name: string;
    static model_module: any;
    static model_module_version: any;
}
